package it.integry.integrywmsnative.gest.contab_doc_interni.dto;


import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class DocFromPickingDTO {
	String codAnag, codVdes, tipoLista, noteDoc;
	Date dataDoc;
	Integer numDoc;
	List<DatiCollo> colli;
	List<Pedane> pedane;

	public String getCodAnag() {
		return codAnag;
	}

	public DocFromPickingDTO setCodAnag(String codAnag) {
		this.codAnag = codAnag;
		return this;
	}

	public String getCodVdes() {
		return codVdes;
	}

	public DocFromPickingDTO setCodVdes(String codVdes) {
		this.codVdes = codVdes;
		return this;
	}

	public String getTipoLista() {
		return tipoLista;
	}

	public DocFromPickingDTO setTipoLista(String tipoLista) {
		this.tipoLista = tipoLista;
		return this;
	}

	public String getNoteDoc() {
		return noteDoc;
	}

	public DocFromPickingDTO setNoteDoc(String noteDoc) {
		this.noteDoc = noteDoc;
		return this;
	}

	public Date getDataDoc() {
		return dataDoc;
	}

	public DocFromPickingDTO setDataDoc(Date dataDoc) {
		this.dataDoc = dataDoc;
		return this;
	}

	public Integer getNumDoc() {
		return numDoc;
	}

	public DocFromPickingDTO setNumDoc(Integer numDoc) {
		this.numDoc = numDoc;
		return this;
	}

	public List<DatiCollo> getColli() {
		return colli;
	}

	public DocFromPickingDTO setColli(List<DatiCollo> colli) {
		this.colli = colli;
		return this;
	}

	public List<Pedane> getPedane() {
		return pedane;
	}

	public void setPedane(List<Pedane> pedane) {
		this.pedane = pedane;
	}

	public static class Pedane {
		String codTcol;
		BigDecimal qta;

		public String getCodTcol() {
			return codTcol;
		}

		public void setCodTcol(String codTcol) {
			this.codTcol = codTcol;
		}

		public BigDecimal getQta() {
			return qta;
		}

		public void setQta(BigDecimal qta) {
			this.qta = qta;
		}
	}

	public static class DatiCollo {
		String gestione, serCollo;
		Date dataCollo;
		Integer numCollo;

		public String getGestione() {
			return gestione;
		}

		public DatiCollo setGestione(String gestione) {
			this.gestione = gestione;
			return this;
		}

		public String getSerCollo() {
			return serCollo;
		}

		public DatiCollo setSerCollo(String serCollo) {
			this.serCollo = serCollo;
			return this;
		}

		public Date getDataCollo() {
			return dataCollo;
		}

		public DatiCollo setDataCollo(Date dataCollo) {
			this.dataCollo = dataCollo;
			return this;
		}

		public Integer getNumCollo() {
			return numCollo;
		}

		public DatiCollo setNumCollo(Integer numCollo) {
			this.numCollo = numCollo;
			return this;
		}
	}
}
